Subject: Re: [PATCH 1/3] branch: introduce --set-upstream-to

From: Miles Bader <[email-masked]>
Date: Thu, 12 Jul 2012 17:41:44 +0900

Junio C Hamano <[email-masked]> writes:
> is easier to understand, while I think
>
> 	git branch <branch> [<start>]
>         git branch --set-upstream-to=<upstream> [<branch>]

Isn't one problem with this that even if a "--set-upstream-to" option
exists, inevitably some [and I'm guessing, many] people will not be
aware of it (after all, nobody reads documentation more than they have
to), and will attempt to use "--set-upstream" with an argument
(that's the natural thing to do, after all) -- which may succeed with
weird results ...?

-miles

-- 
One of the lessons of history is that nothing is often a good thing to
do, and always a clever thing to say.  -- Will Durant